/* wrProxyWdbSerialProtLib.h - proxy wdb serial protocol library header */

/*
 * Copyright (c) 2005 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */
 
/*
modification history
--------------------
01a,02jun05,dbt  written
*/

#ifndef __INCwrProxyWdbSerialProtLibh
#define __INCwrProxyWdbSerialProtLibh

#ifdef __cplusplus
extern "C" {
#endif

extern int	wrProxyWdbSerialProtEncode (char * inBuf, int inBufLength,
					char * outBuf, int outBufLength);
extern BOOL	wrProxyWdbSerialProtIsFrameEnd (char inChar);
extern int	wrProxyWdbSerialProtDecode (char * inBuf, int inBufLength,
					    char * outBuf, int outBufLength);

#ifdef __cplusplus
}
#endif

#endif	/* __INCwrProxyWdbSerialProtLibh */
